[Testing Update] 2020-07-22 - Kernels, VirtualBox, NextCloud, Deepin, OpenJDK

Hello community,

Another testing branch update with some interesting updates for you!


The #PineBookPro is again available for pre-order! #stayhome, #staysafe, #stayhealthy

  • We updated the real-time Kernel
  • Virtualbox is 6.1.12
  • Nextcloud got its first point-release to its 19 series
  • More Deepin packages
  • OpenJDK is updated
  • Firefox 79 series got another beta release
  • Riot is renamed to Element
  • Regular Python updates

If you like following latest Plasma development you may also like to check out our current version of manjaro-kde-dev, which we build on a regular basis against kde-git master packages. Also check out our latest preview of Manjaro Mikah 20.1! XFCE, KDE and Gnome


Upstream notice

Arch updated their default compression to zstd. We adopted to the same standard. More and more packages will have the zst extension from now on. If you get for what ever reason an error with ZSTD not supported as archive format you can do this:

sudo pacman -Syy
sudo pacman -S pacman-static
sudo pacman-static -Syyu

Our current supported kernels

  • linux44 4.4.230
  • linux49 4.9.230
  • linux414 4.14.188
  • linux419 4.19.133
  • linux54 5.4.52
  • linux56 5.6.19 [EOL]
  • linux57 5.7.9
  • linux58 5.8-rc5
  • linux54-rt 5.4.52_rt31
  • linux56-rt 5.6.17_rt9

Package Changes (Wed Jul 22 09:07:28 CEST 2020)

  • testing community x86_64: 467 new and 465 removed package(s)
  • testing core x86_64: 16 new and 15 removed package(s)
  • testing extra x86_64: 134 new and 132 removed package(s)
  • testing multilib x86_64: 7 new and 7 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-07-17           2020-07-22
-------------------------------------------------------------------------------
                               cpu-x 4.0.1.r22.ge567ff7-1 4.0.1.r27.gb32f893-1
                     diffuse-manjaro          0.5.0.rc2-10.5.0.rev7.gb7eb43f-1
                         edid-decode       r450.4ee445e-1       r451.56dd103-1
                      gnome-firmware 3.34.0+36+g4147a76-1                    -
                        grub-vanilla               2.04-4               2.04-5
                          guayadeque0.4.6.r2149.ed0b3ca4-10.4.6.r2150.3c54f64b-1
                            hw-probe1.6+beta.20.g6b59310d48-11.6+beta.21.g791646fa2b-1
                           limepanel 0.48.r133.g3366074-1 0.48.r133.g3366074-2
                          linux54-rt        5.4.47_rt28-1        5.4.52_rt31-1
                linux54-rt-acpi_call             1.1.0-17             1.1.0-18
                 linux54-rt-bbswitch               0.8-17               0.8-18
              linux54-rt-broadcom-wl      6.30.223.271-17      6.30.223.271-18
                  linux54-rt-headers        5.4.47_rt28-1        5.4.52_rt31-1
              linux54-rt-ndiswrapper               1.63-7               1.63-8
             linux54-rt-nvidia-340xx           340.108-16           340.108-17
             linux54-rt-nvidia-390xx           390.132-17           390.132-18
             linux54-rt-nvidia-418xx           418.113-17           418.113-18
             linux54-rt-nvidia-430xx            430.64-17            430.64-18
             linux54-rt-nvidia-435xx            435.21-16            435.21-17
             linux54-rt-nvidia-440xx            440.100-1            440.100-3
                 linux54-rt-nvidiabl              0.88-17              0.88-18
                    linux54-rt-r8168           8.048.03-4           8.048.03-5
                linux54-rt-rtl8723bu           20200405-6           20200405-7
                 linux54-rt-tp_smapi              0.43-17              0.43-18
              linux54-rt-vhba-module          20200106-14          20200106-15
 linux54-rt-virtualbox-guest-modules             6.1.10-3             6.1.12-1
  linux54-rt-virtualbox-host-modules             6.1.10-3             6.1.12-1
  linux56-rt-virtualbox-host-modules             6.1.10-2             6.1.12-1
                                 nim              1.2.4-0                    -
                           pacui-git      r1026.09cb8ec-1   1.14.r6.g846f892-1
                             polybar              3.4.3-1              3.4.3-3
                      qgnomeplatform   0.6.1+5+gc835c9e-1   0.6.1+7+g6886e33-1
                      ttf-font-icons                1.1-4                    -
                      ttf-font-logos               0.10-4                    -
                   ttf-icomoon-icons                1.0-1                    -
                  ttf-material-icons     r124.224895a86-1                    -
                   ttf-polybar-icons                1.0-1                    -
                                 yay             10.0.2-2             10.0.3-3


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-07-17           2020-07-22
-------------------------------------------------------------------------------
                                 ack              3.3.1-2              3.4.0-1
                              acpica           20200528-1           20200717-1
                                 afl              2.57b-1              2.57b-2
                             ansible             2.9.10-1             2.9.11-1
                    arduino-avr-core              1.8.2-2              1.8.3-1
                               aubio              0.4.9-7              0.4.9-8
                             aws-cli            1.18.97-1           1.18.100-1
                             barrier              2.3.2-2              2.3.3-1
                    barrier-headless              2.3.2-2              2.3.3-1
                             bashtop             0.9.12-1             0.9.24-1
                               bazel              3.3.0-1              3.4.1-1
                           bettercap             2.27.1-2               2.28-1
                                cage 0.1.1.r40.gcc1f975-2            0.1.2.1-1
                             calibre             4.20.0-1             4.21.0-1
                      calibre-common             4.20.0-1             4.21.0-1
                     calibre-python3             4.20.0-1             4.21.0-1
                             cargo-c              0.6.8-1              0.6.9-1
                      cargo-outdated             0.9.10-1             0.9.11-1
                              catch2             2.12.2-1             2.13.0-1
                              ccache              3.7.9-1             3.7.10-1
                            checksec              2.2.2-1              2.2.3-1
                        cmake-fedora              2.9.3-1              2.9.3-2
                                code             1.47.1-1             1.47.2-2
                              conmon           1:2.0.18-2           1:2.0.19-1
                                croc             8.0.11-1             8.0.12-1
                   deepin-calculator             5.5.21-1             5.5.22-1
                   deepin-compressor            5.8.0.2-1            5.8.0.3-1
               deepin-control-center           5.2.0.20-1           5.2.0.23-1
                       deepin-daemon          5.11.0.17-1          5.11.0.18-1
              deepin-desktop-schemas           5.6.0.12-1           5.6.0.13-1
                       deepin-editor             5.6.21-1             5.6.23-1
              deepin-qt-dbus-factory            5.2.0.3-1          5.2.0.3.1-1
                   deepin-voice-note             5.7.11-1             5.7.17-1
                          dhall-bash            1.0.31-16            1.0.31-17
                                 dmd          1:2.092.1-1          1:2.093.0-1
                            dmd-docs          1:2.092.1-1          1:2.093.0-1
                              docker         1:19.03.12-1         1:19.03.12-2
                            dokuwiki         20180422_c-1         20200609rc-1
                              drupal              9.0.0-1              9.0.2-1
                              dtools            2.092.1-1            2.093.0-1
                                 dub             1.21.0-1             1.22.0-1
                            electron              9.1.0-3              9.1.1-1
                             element             0.44.0-1             0.44.0-2
                              eslint              7.4.0-1              7.5.0-1
               fcitx5-chinese-addons     0.0.0.20200626-1     0.0.0.20200716-1
                          fcitx5-gtk     0.0.0.20200607-1     0.0.0.20200607-2
                           fcitx5-qt     0.0.0.20200616-1     0.0.0.20200616-2
                                 fio               3.19-1               3.21-1
                firefox-adblock-plus                3.9-1              3.9.1-1
           firefox-developer-edition             79.0b7-1             79.0b8-1
  firefox-developer-edition-i18n-ach             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-af             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-an             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-ar             79.0b7-1             79.0b8-1
  firefox-developer-edition-i18n-ast             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-az             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-be             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-bg             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-bn             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-br             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-bs             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-ca             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-ca-valencia       79.0b7-1             79.0b8-1
  firefox-developer-edition-i18n-cak             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-cs             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-cy             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-da             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-de             79.0b7-1             79.0b8-1
  firefox-developer-edition-i18n-dsb             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-el             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-en-ca             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-en-gb             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-en-us             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-eo             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-es-ar             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-es-cl             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-es-es             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-es-mx             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-et             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-eu             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-fa             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-ff             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-fi             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-fr             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-fy-nl             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-ga-ie             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-gd             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-gl             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-gn             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-gu-in             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-he             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-hi-in             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-hr             79.0b7-1             79.0b8-1
  firefox-developer-edition-i18n-hsb             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-hu             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-hy-am             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-ia             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-id             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-is             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-it             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-ja             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-ka             79.0b7-1             79.0b8-1
  firefox-developer-edition-i18n-kab             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-kk             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-km             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-kn             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-ko             79.0b7-1             79.0b8-1
  firefox-developer-edition-i18n-lij             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-lt             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-lv             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-mk             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-mr             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-ms             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-my             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-nb-no             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-ne-np             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-nl             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-nn-no             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-oc             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-pa-in             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-pl             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-pt-br             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-pt-pt             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-rm             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-ro             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-ru             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-si             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-sk             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-sl             79.0b7-1             79.0b8-1
  firefox-developer-edition-i18n-son             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-sq             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-sr             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-sv-se             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-ta             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-te             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-th             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-tl             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-tr             79.0b7-1             79.0b8-1
  firefox-developer-edition-i18n-trs             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-uk             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-ur             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-uz             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-vi             79.0b7-1             79.0b8-1
   firefox-developer-edition-i18n-xh             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-zh-cn             79.0b7-1             79.0b8-1
firefox-developer-edition-i18n-zh-tw             79.0b7-1             79.0b8-1
                    firefox-noscript            11.0.32-1            11.0.34-1
              firefox-tree-style-tab             3.5.12-1             3.5.13-1
                                fltk              1.3.5-2              1.3.5-3
                           fltk-docs              1.3.5-2              1.3.5-3
                       fltk-examples              1.3.5-2              1.3.5-3
                             fluajho                1.6-1              1.6.1-1
                             freerdp            2:2.1.2-1            2:2.2.0-1
                               fwupd              1.4.4-1              1.4.4-2
                               gajim              1.1.3-2              1.2.1-1
                      gnome-firmware             3.34.0-1             3.36.0-1
                                  go           2:1.14.5-1           2:1.14.6-1
                         go-ethereum             1.9.16-1             1.9.17-1
                                gpac            1:0.8.0-2            1:1.0.0-1
                             grafana              7.0.6-1              7.1.0-1
                            guitarix             0.40.0-1             0.41.0-1
                             haproxy              2.1.7-1              2.2.0-2
                             hashcat            1:5.1.0-2            1:6.0.0-1
                       haskell-■■■■■               0.55-1               0.55-2
                haskell-http-streams          0.8.7.1-140          0.8.7.1-141
                    haskell-mustache            2.3.1-126            2.3.1-127
          haskell-neat-interpolation             0.5.1-25            0.5.1.1-1
                   haskell-snap-core          1.0.4.1-112            1.0.4.2-1
                 haskell-snap-server           1.1.1.2-43           1.1.1.2-44
                         haskell-vty               5.29-1               5.30-1
                        haskell-wreq          0.5.3.2-225          0.5.3.2-226
                      haskell-xcffib             0.9.0-38             0.10.0-1
                         hcxdumptool              6.0.6-1              6.0.7-1
                            hcxtools              6.0.2-1              6.0.3-1
                               hexer              1.0.5-2              1.0.6-1
                          hledger-ui             1.18.1-8             1.18.1-9
                                  hy             0.18.0-2             0.19.0-2
                               hydra                9.0-2                9.0-3
                       i3status-rust             0.14.1-3             0.14.1-4
                          ibus-table             1.10.0-1             1.10.1-1
               intel-compute-runtime        20.18.16699-1        20.27.17231-1
                        intel-gmmlib             20.1.1-1             20.2.2-1
             intel-graphics-compiler         1:1.0.3899-1         1:1.0.4241-1
                  intel-media-driver             20.1.1-1             20.2.0-1
     intellij-idea-community-edition         2:2020.1.2-1         2:2020.1.3-2
                               isync              1.3.1-2              1.3.2-1
                          jack_mixer                 12-2                 13-1
                         jami-daemon           20190813-4           20190813-5
                   java-commons-lang               3.10-2               3.11-1
                             jenkins              2.243-1              2.245-1
                             keepass               2.45-2               2.45-4
                               khard             0.16.1-1             0.16.1-2
                          kio-gdrive              1.3.0-2                    -
                               kitty             0.18.1-1             0.18.1-2
                      kitty-terminfo             0.18.1-1             0.18.1-2
                             klavaro               3.09-3               3.10-1
                                kodi             18.7.1-4             18.7.1-5
        kodi-addon-audioencoder-flac            1:2.0.6-7            1:2.0.6-8
        kodi-addon-audioencoder-lame            1:2.0.4-7            1:2.0.4-8
      kodi-addon-audioencoder-vorbis            1:2.0.4-7            1:2.0.4-8
         kodi-addon-audioencoder-wav            1:2.0.3-7            1:2.0.3-8
            kodi-addon-game-libretro              1.1.1-6              1.1.1-7
 kodi-addon-game-libretro-beetle-psx          0.9.44.12-5          0.9.44.12-7
    kodi-addon-game-libretro-desmume            0.0.1.5-6            0.0.1.5-7
   kodi-addon-game-libretro-gambatte           0.5.0.10-6           0.5.0.10-7
    kodi-addon-game-libretro-melonds            0.8.3.7-6            0.8.3.7-7
       kodi-addon-game-libretro-mgba           0.8.1.10-6           0.8.1.10-7
kodi-addon-game-libretro-mupen64plus           2.5.0.6-15           2.5.0.6-16
   kodi-addon-game-libretro-nestopia           1.50.0.9-6           1.50.0.9-7
kodi-addon-game-libretro-parallel-n64           2.0.0.6-6            2.0.0.6-7
      kodi-addon-peripheral-joystick             1.4.7-17             1.4.7-18
    kodi-addon-screensaver-asteroids            1:2.3.2-7            1:2.3.2-8
   kodi-addon-screensaver-biogenesis            1:2.2.3-7            1:2.2.3-8
    kodi-addon-screensaver-greynetic            1:2.2.2-7            1:2.2.2-8
 kodi-addon-screensaver-matrixtrails           1:2.2.1-14           1:2.2.1-15
     kodi-addon-screensaver-pingpong            1:2.1.2-7            1:2.1.2-8
         kodi-addon-screensaver-pyro            1:3.0.1-7            1:3.0.1-8
        kodi-addon-screensaver-stars            1:2.1.4-7            1:2.1.4-8
   kodi-addon-visualization-projectm           1:2.2.0-16           1:2.2.0-17
  kodi-addon-visualization-shadertoy            1:1.2.3-8            1:1.2.3-9
   kodi-addon-visualization-spectrum           1:2.0.4-11           1:2.0.4-12
   kodi-addon-visualization-waveform            1:3.1.1-9           1:3.1.1-10
                            kodi-bin               18.6-2                    -
                            kodi-dev             18.7.1-4             18.7.1-5
                   kodi-eventclients             18.7.1-4             18.7.1-5
                            kodi-gbm             18.7.1-4             18.7.1-5
                       kodi-platform  20190726.809c5e9-11  20190726.809c5e9-12
            kodi-tools-texturepacker             18.7.1-4             18.7.1-5
                        kodi-wayland             18.7.1-4             18.7.1-5
                            kodi-x11             18.7.1-4             18.7.1-5
                              kstars            1:3.4.2-2            1:3.4.3-1
                         kvantum-qt5             0.15.3-1             0.16.0-1
               kvantum-theme-materia           20200523-1           20200713-1
                              libcec              5.0.0-1              6.0.2-1
                            libdwarf           20200703-1           20200719-1
                              libime     0.0.0.20200626-1     0.0.0.20200716-1
                             libjcat              0.1.2-1              0.1.3-1
                         libopenshot              0.2.5-2              0.2.5-3
                           libphobos          1:2.092.1-1          1:2.093.0-1
                          librdkafka              1.4.4-1              1.5.0-1
                            libressl              3.1.2-1              3.2.0-1
            libretro-beetle-pce-fast                982-1                985-1
                 libretro-beetle-psx               2343-1               2354-1
              libretro-beetle-psx-hw               2343-1               2354-1
                    libretro-mesen-s                911-1                916-1
           libretro-mupen64plus-next              1:228-1              1:300-1
               libretro-parallel-n64               5198-1               5202-1
                       libretro-play               5741-1               5750-1
              libretro-shaders-slang                749-1                760-1
                         libva-utils              2.7.1-1              2.8.0-1
                             libvirt              6.4.0-1              6.5.0-1
             libvirt-storage-gluster              6.4.0-1              6.5.0-1
        libvirt-storage-iscsi-direct              6.4.0-1              6.5.0-1
                 libvirt-storage-rbd              6.4.0-1              6.5.0-1
                         lsp-plugins             1.1.22-1             1.1.24-1
                             lv2lint              0.6.0-1              0.8.0-1
                             mailman             2.1.33-1             2.1.34-1
                          marked-man              0.7.0-3              0.7.0-4
                          mate-menus             1.24.0-1             1.24.0-2
                         materia-kde           20200523-1           20200713-1
                        mephisto.lv2              0.8.8-2             0.12.0-1
                          metasploit             5.0.88-1             5.0.99-1
                     midi_matrix.lv2             0.24.0-1             0.26.0-1
                           miniupnpc       2.1.20190408-3       2.1.20191224-1
                           moony.lv2             0.32.0-1             0.34.0-1
                             moosefs            3.0.112-1            3.0.113-1
                             netdata             1.23.1-1             1.23.2-1
               netfilter-fullconenat       r73.0cf3b48-31       r73.0cf3b48-32
                 new-session-manager              1.4.0-1              1.4.0-2
                            newsboat             2.20.1-1             2.20.1-2
                           nextcloud             19.0.0-1             19.0.1-1
                  nextcloud-app-mail              1.4.0-1              1.4.1-1
                 nextcloud-app-notes              3.6.0-1              3.6.1-1
                nextcloud-app-spreed            1:9.0.1-1            1:9.0.2-1
                 nextcloud-app-tasks             0.13.1-1             0.13.2-1
                    nextcloud-client              2.6.5-1              2.6.5-2
                           nicotine+              2.0.0-1              2.0.1-1
                                 nim              1.2.0-1              1.2.4-1
                              nomacs          3.15.1616-1         1:3.16.224-1
                                 npm             6.14.6-1             6.14.7-1
                   npm-check-updates              7.0.1-1              7.0.2-1
                                 nut              2.7.4-1              2.7.4-2
                             opendht           1:1.10.1-6           1:1.10.1-7
                               opera       69.0.3686.57-1       69.0.3686.77-1
                    otf-font-awesome             5.13.1-2             5.14.0-1
                            paraview              5.8.0-7              5.8.0-8
                         patchmatrix             0.18.0-1             0.20.0-1
                            patroneo                1.6-1              1.6.1-1
                         pdfarranger              1.6.0-1              1.6.0-2
                      perl-pkgconfig            0.23026-3            0.24026-1
                            pgadmin4               4.22-1               4.23-1
                            plantuml           1.2020.7-1          1.2020.15-1
                           postorius              1.3.3-1              1.3.3-2
                              ppsspp               1.10-1             1.10.3-1
                           primus_vk                1.4-1                1.5-1
           pycharm-community-edition           2020.1.2-1           2020.1.3-1
                   python-astunparse              1.6.2-2              1.6.3-1
                        python-aubio              0.4.9-7              0.4.9-8
                     python-autobahn             20.6.2-2             20.7.1-1
                        python-boto3            1.14.20-1            1.14.23-1
                     python-botocore            1.17.20-1            1.17.23-1
                 python-calmjs.parse              1.2.5-2              1.2.5-3
                     python-cfn-lint             0.33.2-1             0.34.0-1
                   python-cloudflare              2.8.5-1              2.8.6-1
         python-cryptography-vectors              2.9.2-1                3.0-1
               python-django-appconf              1.0.4-1              1.0.4-2
            python-django-extensions              3.0.1-1              3.0.3-1
      python-django-modeltranslation             0.15.0-1             0.15.1-1
                      python-edalize              0.2.2-1              0.2.2-2
                    python-fonttools             4.12.1-1             4.13.0-1
                       python-gitlab              2.1.2-1              2.4.0-1
                    python-gitpython              3.1.3-1              3.1.7-1
                  python-google-auth             1.18.0-1             1.19.0-1
                 python-graphql-core              3.1.1-1              3.1.2-1
                   python-hypothesis             5.19.2-1             5.20.3-1
                     python-identify             1.4.23-1             1.4.25-1
              python-internetarchive              1.9.3-1              1.9.4-1
                       python-joblib             0.14.1-1             0.16.0-1
                     python-m2crypto             0.35.2-3             0.36.0-1
                     python-markdown              3.1.1-4              3.2.2-1
                  python-marshmallow              3.7.0-1              3.7.1-1
                   python-matplotlib              3.2.2-1              3.3.0-1
                       python-minidb              2.0.3-1              2.0.4-1
                       python-nbxmpp             0.6.10-3              1.0.1-1
                python-nmigen-boards       r105.86ae791-1       r133.d9264bf-1
                      python-oslo-db              8.2.1-1              8.3.0-1
             python-ovirt-engine-sdk              4.3.0-3              4.4.4-1
            python-pandas-datareader              0.8.1-2              0.9.0-1
                       python-pg8000             1.16.0-1             1.16.1-1
                      python-pikepdf             1.17.1-1             1.17.2-1
                     python-pyfakefs              4.0.2-1              4.1.0-1
                      python-pymysql              0.9.3-3             0.10.0-1
               python-pytest-timeout              1.4.1-1              1.4.2-1
                        python-pyvcd              0.1.7-1              0.2.3-1
                        python-quart             0.12.0-1             0.13.0-1
                        python-regex           2020.6.8-1          2020.7.14-1
                    python-reportlab             3.5.42-2             3.5.44-1
                           python-rx              3.1.0-1              3.1.1-1
                   python-simplejson             3.17.0-1             3.17.2-1
                    python-stevedore              3.1.0-1              3.2.0-1
       python-tensorflow-serving-api              2.1.0-1              2.2.0-1
                    python-testinfra              5.2.1-1              5.2.2-1
                python-threadpoolctl              2.0.0-1              2.1.0-1
                          python-tox             3.17.0-1             3.17.1-1
                         python-tqdm             4.47.0-1             4.48.0-1
            python-typing_extensions            3.7.4.1-1            3.7.4.3-1
                       python-xcffib              0.9.0-2             0.10.0-1
                         python-yara              4.0.1-1              4.0.2-1
                       python-yaspin             0.17.0-1             0.18.0-1
              python-zope-exceptions                4.3-3                4.4-1
                        python2-caja             1.22.1-1                    -
                    python2-m2crypto             0.35.2-3             0.36.0-1
                    python2-markdown              3.1.1-4              3.1.1-5
              python2-pytest-timeout              1.4.1-1              1.4.2-1
                       python2-regex           2020.6.8-1          2020.7.14-1
                  python2-simplejson             3.17.0-1             3.17.2-1
                         python2-tox             3.17.0-1             3.17.1-1
                    python2-trollius                2.1-3          2.1.post2-1
                   python2-unittest2              1.1.0-5              1.1.0-6
                        python2-yara              4.0.1-1              4.0.2-1
             python2-zope-exceptions                4.3-3                4.4-1
                         qpid-proton             0.30.0-3             0.30.0-5
                               qt5ct                1.0-1                1.1-1
                         qutebrowser             1.13.0-2             1.13.1-1
                               redis              6.0.5-1              6.0.6-1
              retroarch-assets-ozone              1:323-1              1:325-1
                retroarch-assets-xmb              1:323-1              1:325-1
                      rime-cantonese     0.0.0.20200714-1     0.0.0.20200717-1
                                rink              0.4.5-1              0.5.0-1
                       roundcubemail              1.4.6-1              1.4.7-1
                       rust-analyzer           20200713-1           20200720-1
                        rust-bindgen             0.54.0-1             0.54.0-2
                          rust-racer             2.1.31-1             2.1.36-1
                               s-tui              1.0.1-1              1.0.2-1
                                 sbt           1:1.3.11-1           1:1.3.12-1
                              scrapy              2.2.0-1              2.2.1-1
                        sherlock.lv2             0.22.0-1             0.24.0-1
                            shotwell           2:0.30.8-2          2:0.30.10-1
                               siege              4.0.5-2              4.0.7-1
                      signal-desktop             1.34.3-2             1.34.4-1
                            sigutils              0.1.0-1              0.1.0-2
                            smplayer             20.4.2-1             20.6.0-1
                                sslh               1.20-2              1.21b-1
                               stack             2.3.1-62             2.3.1-64
                         stratis-cli              2.1.0-1              2.1.1-1
                              stylus             0.54.7-2             0.54.8-1
                              suscan              0.1.0-1              0.1.0-2
                             svt-vp9              0.2.0-1              0.2.1-1
                                sway              1:1.4-9              1:1.5-1
                          swi-prolog              8.2.0-1              8.2.1-1
                              sysdig             0.26.7-2             0.26.7-3
                        systemd-swap              4.3.0-1              4.3.2-1
                             taskell          1.9.2.0-128          1.9.2.0-129
                           tcpreplay              4.3.2-2              4.3.3-1
                               tiled              1.4.1-1              1.4.1-2
                    ttf-font-awesome             5.13.1-2             5.14.0-1
                          typescript              3.9.6-1              3.9.7-1
                        ukui-greeter              1.2.5-1              1.2.6-1
                          ukui-media              2.0.3-1              2.0.4-1
                ukui-session-manager              2.0.2-1              2.0.3-1
                         ukui-themes              1.3.0-1              1.4.0-1
                          unrealircd            5.0.5.1-1              5.0.6-1
                             uranium              4.5.0-1              4.5.0-2
                            urlwatch               2.18-4               2.19-1
                      usb_modeswitch              2.6.0-2              2.6.1-1
         v2ray-domain-list-community     20200715082334-1     20200721225648-1
                         v2ray-geoip       202007150004-1       202007220003-1
                                vico                1.2-1              1.2.1-1
                          virtualbox             6.1.10-1             6.1.12-2
                  virtualbox-ext-vnc             6.1.10-1             6.1.12-2
               virtualbox-guest-dkms             6.1.10-1             6.1.12-2
                virtualbox-guest-iso             6.1.10-1             6.1.12-1
              virtualbox-guest-utils             6.1.10-1             6.1.12-2
          virtualbox-guest-utils-nox             6.1.10-1             6.1.12-2
                virtualbox-host-dkms             6.1.10-1             6.1.12-2
                      virtualbox-sdk             6.1.10-1             6.1.12-2
                              vm.lv2              0.8.0-1             0.10.0-1
                                 vtk             8.2.0-13             8.2.0-14
                              waybar              0.9.2-2              0.9.2-3
                             weechat                2.8-3                2.9-1
                           widelands                 20-9                 21-1
                             wlroots             0.10.1-1             0.11.0-1
            xfce4-whiskermenu-plugin              2.4.4-1              2.4.5-1
                            yamllint             1.23.0-1             1.24.2-1
                                yara              4.0.1-1              4.0.2-1
                             you-get           0.4.1432-2           0.4.1456-1
                         zam-plugins               3.12-1               3.13-1
                             cpptoml                    -              0.1.1-2
                            easy-pdk                    -                1.3-1
                     element-desktop                    -              1.7.1-3
                         element-web                    -              1.7.1-3
               haskell-input-parsers                    -            0.1.0.1-1
                           marked0.8                    -              0.8.2-1
                                muse                    -              3.1.1-1
                         python-caja                    -             1.24.0-1
              python-hypothesis-auto                    -              1.1.4-1
                    python-miniupnpc                    -       2.1.20191224-1
                                qtqr                    -                2.0-2
                         wireplumber                    -              0.3.0-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-07-17           2020-07-22
-------------------------------------------------------------------------------
                           amd-ucode20200716.r1675.1d1c80b-120200721.r1678.2b823fc-1
                      linux-firmware20200716.r1675.1d1c80b-120200721.r1678.2b823fc-1
                            linux419           4.19.133-1           4.19.133-2
                    linux419-headers           4.19.133-1           4.19.133-2
                             linux54             5.4.52-1             5.4.52-2
                     linux54-headers             5.4.52-1             5.4.52-2
                             linux585.8rc5.d0712.g11ba468-15.8rc6.d0719.gba47d84-1
                     linux58-headers5.8rc5.d0712.g11ba468-15.8rc6.d0719.gba47d84-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-07-17           2020-07-22
-------------------------------------------------------------------------------
                               gpgme             1.13.1-7             1.14.0-1
                            iana-etc           20200707-1           20200720-1
                            libevent             2.1.11-5             2.1.12-1
                          mkinitcpio                 27-3                 28-1
                             openssh              8.3p1-1              8.3p1-3
                        python-gpgme             1.13.1-7             1.14.0-1
                              qgpgme             1.13.1-7             1.14.0-1
                              shadow              4.8.1-2              4.8.1-3


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-07-17           2020-07-22
-------------------------------------------------------------------------------
                                gvim           8.2.1185-0           8.2.1260-0
    linux414-virtualbox-host-modules             6.1.10-6             6.1.12-1
                  linux419-acpi_call            1.1.0-123            1.1.0-124
                   linux419-bbswitch              0.8-123              0.8-124
                linux419-broadcom-wl     6.30.223.271-122     6.30.223.271-123
                linux419-ndiswrapper              1.63-13              1.63-14
               linux419-nvidia-340xx           340.108-43           340.108-44
               linux419-nvidia-390xx           390.132-52           390.132-53
               linux419-nvidia-418xx           418.113-51           418.113-52
               linux419-nvidia-430xx            430.64-51            430.64-52
               linux419-nvidia-435xx            435.21-62            435.21-63
               linux419-nvidia-440xx            440.100-4            440.100-5
                   linux419-nvidiabl             0.88-122             0.88-123
                      linux419-r8168           8.048.03-9          8.048.03-10
                  linux419-rtl8723bu          20200405-19          20200405-20
                   linux419-tp_smapi              0.43-72              0.43-73
                linux419-vhba-module          20200106-37          20200106-38
   linux419-virtualbox-guest-modules             6.1.10-7             6.1.12-1
    linux419-virtualbox-host-modules             6.1.10-7             6.1.12-1
                        linux419-zfs             0.8.4-12             0.8.4-13
     linux44-virtualbox-host-modules             6.1.10-5             6.1.12-1
     linux49-virtualbox-host-modules             6.1.10-5             6.1.12-1
                   linux54-acpi_call             1.1.0-58             1.1.0-59
                    linux54-bbswitch               0.8-58               0.8-59
                 linux54-broadcom-wl      6.30.223.271-58      6.30.223.271-59
                 linux54-ndiswrapper              1.63-14              1.63-15
                linux54-nvidia-340xx           340.108-50           340.108-51
                linux54-nvidia-390xx           390.132-58           390.132-59
                linux54-nvidia-418xx           418.113-58           418.113-59
                linux54-nvidia-430xx            430.64-58            430.64-59
                linux54-nvidia-435xx            435.21-58            435.21-59
                linux54-nvidia-440xx            440.100-4            440.100-5
                    linux54-nvidiabl              0.88-58              0.88-59
                       linux54-r8168          8.048.03-10          8.048.03-11
                   linux54-rtl8723bu          20200405-22          20200405-23
                    linux54-tp_smapi              0.43-58              0.43-59
                 linux54-vhba-module          20200106-43          20200106-44
    linux54-virtualbox-guest-modules             6.1.10-8             6.1.12-1
     linux54-virtualbox-host-modules             6.1.10-8             6.1.12-1
                         linux54-zfs             0.8.4-13             0.8.4-14
    linux56-virtualbox-guest-modules             6.1.10-3             6.1.12-1
     linux56-virtualbox-host-modules             6.1.10-3             6.1.12-1
     linux57-virtualbox-host-modules            6.1.10-11             6.1.12-1
                   linux58-acpi_call            1.1.0-0.5            1.1.0-0.6
                    linux58-bbswitch              0.8-0.5              0.8-0.6
                 linux58-broadcom-wl     6.30.223.271-0.5     6.30.223.271-0.6
                linux58-nvidia-390xx          390.132-0.5          390.132-0.6
                linux58-nvidia-418xx          418.113-0.5          418.113-0.6
                linux58-nvidia-430xx           430.64-0.5           430.64-0.6
                linux58-nvidia-435xx           435.21-0.5           435.21-0.6
                linux58-nvidia-440xx          440.100-0.5          440.100-0.6
                       linux58-r8168         8.048.03-0.5         8.048.03-0.6
                    linux58-tp_smapi             0.43-0.5             0.43-0.6
                 linux58-vhba-module         20200106-0.5         20200106-0.6
               manjaro-arm-tools-git  2.8.6.r3.ga4db587-1  2.8.6.r4.g3f2e271-1
                                 vim           8.2.1185-0           8.2.1260-0
                         vim-runtime           8.2.1185-0           8.2.1260-0
                           zfs-utils              0.8.4-1              0.8.4-2
                                dkms                    -            2.8.3-1.1
                         linux58-zfs                    -            0.8.4-0.6


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-07-17           2020-07-22
-------------------------------------------------------------------------------
                              amdvlk          2020.Q3.1-1          2020.Q3.1-2
            archlinux-appstream-data           20200612-1           20200720-1
                        avidemux-cli              2.7.4-5              2.7.6-1
                         avidemux-qt              2.7.4-5              2.7.6-1
                                bind             9.16.4-1             9.16.5-2
                          bind-tools             9.16.4-1                    -
                               check             0.15.0-1             0.15.0-2
                          check-docs             0.15.0-1             0.15.0-2
                               cmake             3.17.3-1             3.18.0-2
                            composer             1.10.8-1             1.10.9-1
                                cups              2.3.3-1              2.3.3-2
                      deluge 2.0.4.dev38+g23a48dd01-1 2.0.4.dev38+g23a48dd01-2
                  deluge-gtk 2.0.4.dev38+g23a48dd01-1 2.0.4.dev38+g23a48dd01-2
                             digikam             6.4.0-10              7.0.0-1
                                dkms              2.8.1-4              2.8.3-1
                             dnsmasq               2.81-4               2.82-1
                  gnome-disk-utility             3.36.1-2             3.36.3-1
                             gnuplot              5.2.8-2              5.4.0-1
                            harfbuzz              2.6.8-2              2.6.8-3
                        harfbuzz-icu              2.6.8-2              2.6.8-3
                             hddtemp      0.3.beta15.53-2      0.3.beta15.53-3
                            help2man            1.47.15-1            1.47.16-1
                         imagemagick          7.0.10.23-1          7.0.10.24-1
                     imagemagick-doc          7.0.10.23-1          7.0.10.24-1
                         jdk-openjdk          14.0.1.u7-1         14.0.2.u12-1
                       jdk11-openjdk         11.0.7.u10-1         11.0.8.u10-1
                        jdk8-openjdk             8.u252-1             8.u262-1
                         jre-openjdk          14.0.1.u7-1         14.0.2.u12-1
                jre-openjdk-headless          14.0.1.u7-1         14.0.2.u12-1
                       jre11-openjdk         11.0.7.u10-1         11.0.8.u10-1
              jre11-openjdk-headless         11.0.7.u10-1         11.0.8.u10-1
                        jre8-openjdk             8.u252-1             8.u262-1
               jre8-openjdk-headless             8.u252-1             8.u262-1
                             jsoncpp              1.9.2-1              1.9.3-1
                         jsoncpp-doc              1.9.2-1              1.9.3-1
                     lib32-rust-libs           1:1.44.1-1           1:1.45.0-2
                              libbpf              0.0.8-1              0.0.9-1
                             libcups              2.3.3-1              2.3.3-2
                            libevdev              1.9.0-1              1.9.1-1
                               libnm             1.24.2-1             1.26.0-1
                                 mlt             6.20.0-3             6.20.0-4
                                mono          6.8.0.123-1         6.10.0.104-1
                                nasm            2.14.02-2            2.15.02-1
                      networkmanager             1.24.2-1             1.26.0-1
                      nm-cloud-setup             1.24.2-1             1.26.0-1
                    noto-fonts-emoji           20191016-6           20200720-1
                         openjdk-doc          14.0.1.u7-1         14.0.2.u12-1
                         openjdk-src          14.0.1.u7-1         14.0.2.u12-1
                       openjdk11-doc         11.0.7.u10-1         11.0.8.u10-1
                       openjdk11-src         11.0.7.u10-1         11.0.8.u10-1
                        openjdk8-doc             8.u252-1             8.u262-1
                        openjdk8-src             8.u252-1             8.u262-1
                   perl-log-log4perl               1.49-7               1.50-1
             perl-lwp-protocol-https               6.07-5               6.09-1
              plasma-wayland-session             5.19.3-1             5.19.3-2
                    plasma-workspace             5.19.3-1             5.19.3-2
                        python-numpy             1.19.0-1             1.19.1-1
                 python-patiencediff              0.1.0-1              0.2.0-1
                 python2-ordered-set              3.1.1-2              3.1.1-3
                            rinutils              0.4.0-1              0.4.1-1
                                rust           1:1.44.1-1           1:1.45.0-2
                           rust-docs           1:1.44.1-1           1:1.45.0-2
                        sane-airscan             0.99.9-2            0.99.10-1
                           syslog-ng             3.27.1-1             3.28.1-1
                             tomcat7            7.0.104-1            7.0.105-1
                             tomcat8             8.5.56-1             8.5.57-1
                             tomcat9             9.0.35-1             9.0.37-1
                            wxmaxima            20.06.6-1            20.07.0-1
                            xorg-xev              1.2.3-2              1.2.4-1
                        zabbix-agent              5.0.1-1              5.0.2-1
                       zabbix-agent2              5.0.1-1              5.0.2-1
                 zabbix-frontend-php              5.0.1-1              5.0.2-1
                        zabbix-proxy              5.0.1-1              5.0.2-1
                       zabbix-server              5.0.1-1              5.0.2-1
                          kio-gdrive                    -              1.3.0-2


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-07-17           2020-07-22
-------------------------------------------------------------------------------
                        lib32-amdvlk          2020.Q3.1-1          2020.Q3.1-2
                      lib32-harfbuzz              2.6.8-2              2.6.8-3
                  lib32-harfbuzz-icu              2.6.8-2              2.6.8-3
                     lib32-primus_vk                1.4-1                1.5-1
                        lib32-wxgtk2              3.0.4-2            3.0.5.1-1
                                wine               5.12-1               5.13-1
                        wine-staging             5.12.1-1               5.13-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

3 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed

System takes a long time to boot

If you've got errors like Failed to start Network Manager Wait Online. you can try removing systemd from passwd and group in /etc/nsswitch.conf as described here

I think I've some font problems

With the update of fontconfig some major rules how fonts get applied changed. Make sure that your system has ttf-dejavu installed. A more in depth explanation can be found here.

Gnome-shell-extension-pop-shell is currently incompatible with wayland

... and causes the system to freeze when the first window is tiled and can render it unbootable. Solution is a hard reset and disabling either pop shell or wayland. If the system becomes unbootable, use a live USB to edit /etc/gdm/custom.conf to disable wayland and reboot.

Older issues

Thunderbird might throw an error of older version available.

Use $ thunderbird --allow-downgrade from a terminal to fix it.

HP Device Manager


Pamac stuck at "Preparing..."

Users have reported issues with the recent release candidate of Pamac 9.4.0 when initiating transactions, being stuck at "Preparing..." without being able to cancel the transaction and quit Pamac normally.

For now, it is recommended to use pacman to do package management until this issue is solved and Pamac become usable again. Please test out upcoming updates for Pamac to see if the issue becomes solved or not.

If you are stuck in "Preparing...", you will have to manually kill the pamac-managerprocess.

Reported on Gitlab:
https://gitlab.manjaro.org/applications/pamac/issues/757

Upgrading firewalld package to 0.8.1-2 requires manual intervention

Please read this announcement if you have file conflicts when trying to upgrade firewalld package to 0.8.1-2.

Firewalld requires manual intervention

khotkeys identified as an orphaned package

You can remove that package, but might loose some functionality with your key-bindings. We made it now optional to be installed.


Weird font glitches (see screenshots below).

If you have weird glitches like below...

Screenshots

Screenshot%20from%202020-01-16%2023-59-49
string3
strings%20mismatch
post%20transaction%20hooks

... have you tried turning it off and on again?

More seriously, so far, people that reported to have such issue noticed that the problem goes away at next boot.


Installing xorgproto (2019.2-2) breaks dependency of a package

If you run into an issue because of xorgproto please DON'T follow the Arch suggestion as Manjaro uses the xorgproto-transfer package to make this automatic. If you have an issue, please report and wait for an update from us!

AUR Rebuilds required after updating python 3.7 to 3.8

Packages that depend on python from the AUR will need to be rebuilt after everything else has been updated. You can rebuild some of them with the following:

sudo pacman -S --needed --noconfirm expac yay
yay -S --rebuildtree $(pacman -Qmq $(expac %N python))

You can find other packages that need to be rebuilt by looking at the folders/files in

/usr/lib/python3.7/site-packages/

To find out what package owns a folder/file in that, you can use the following:

pacman -Qo folder_or_filename

If no package owns a file, it can probably be ignored.


System Settings and kinfocenter crash when entering Night Color settings randomly

Remove entire [NightColor] section of ~/.config/kwinrc
No solution yet ─ please edit as soon as a workaround is found.

xfce4-power-manager does not open / upower fails

Install kernel 4.14 or higher (4.14, 4.19, 5.2 [EOL], 5.3)

There is an issue with upower 0.99.11-1 on kernels 4.4 and 4.9.


xfce4-terminal / guake / gnome-terminal does not open

Update to vte3 0.58.2-1 or install kernel 4.14 or higher (4.14, 4.19, 5.2 [EOL], 5.3)

There is an issue with vte3 0.58.1-1 on kernels 4.4 and 4.9.


Replace linux52 with community/linux-latest ?

linux52 is EOL and has been removed from the repositories. It will be replaced by a metapackage which will from now on keep you on a maintained kernel.

If you want to keep the old kernel and modules then include them in your pacman.conf's IgnorePkg.


Pamac-Qt is not compatible to 9.0 API of Pamac

Pamac Qt 0.3 pre-RC: Towards the release, needs help in testing


gnome-shell-extension-desktop-icons

the pkgver 19.10.1 ship with an hook to remove the capability from gnome-shell. A message is present during install but essentially you need to reboot the system to show correctly the icons in the desktop. More info here

A post was split to a new topic: Third party repo dysfunctional after update

Everything went smoothly so far. It even fixed a very annoying problem I had: I have an Ubuntu-VM in Virtual Box and if the virtualbox-guest-x11 package was installed in it the vm always crashed immediately on graphical login and without the package shared clipboard does not work. This issue was solved by this new version of Virtual Box.

1 Like

The long boot issue ( nm-dispatcher[1617]: Error releasing name org.freedesktop.nm_dispatcher: Timeout was reached / nsswitch.conf workaround that prevents polkit from working ) is still present, other than that everything seems fine, thank you! :smiley:

Ok update installed, rebooted, and a couple of issues. First one after the reboot I received the below popup, clicked ok and it popped up again, clicked ok on the second popup and it didn't popup again. Second one is I'm missing a tray icon. Figured if I did another reboot it would show back up, not the case. Good thing from that reboot is I didn't get the error message popup again. I have gone through "Configure System Tray" twice and cannot see what is actually missing.

EDIT:

It's Nitroshare that's missing, assuming the error message had to do with Nitroshare, so looks like both issue may be resolved after all. If anyone thinks there is anything further I need to do in regards to the error message please let me know. Thanks

JaScript Error

I see screen is flickering after suspend.
Video Intel kernel driver.
5.7.9-1

Hi 007,
witch version of java do u use?
(14.0.2. with java-rhino?)

Updated via tty and after reboot everything is working as expected. Running GNOME, kernel 5.7.9, nvidia 440.100.

Here's what I get when search for Jave in Pamac. The issue seems to have resolved itself. I'll do a reboot later and see if it happens again. If it does I'll create a help request.

OpenJDK Java 11 Console (jdk11-openjdk) 11.0.8.u10-1
OpenJDK Java 11 Shell (jdk11-openjdk) 11.0.2.u10-1
java-environment-common 3-3
java-hamcrest 1.3-5
jave-runtime-common 3-3
java8-openjfx 8.u202-3
ca-certification-utils 20181109-3
jdk8-openjdk 8.u262-1
jre11-openjdk-headless 11.0.8.u10-1
jre8-openjdk 8.u262-1
jre8-openjdk-headless 8.u262-1
nodejs-lts-dubnium 10.20.1-2
npm 6.14.7-1
webkit2gtk 2.28.3-1

If that is an attempt to diagnose/help with the screenshotted problem - it won't help. Java doesn't have anything todo with https://en.wikipedia.org/wiki/JavaScript and the screenshot error message points to a problem within an electron app.

2 Likes

gwe is no longer launching:

steanne@belphanior ~ $ gwe
Traceback (most recent call last):
  File "/usr/bin/gwe", line 53, in <module>
    from gwe import __main__
  File "/usr/lib/python3.8/site-packages/gwe/__main__.py", line 41, in <module>
    from gwe.app import Application
  File "/usr/lib/python3.8/site-packages/gwe/app.py", line 31, in <module>
    from gwe.presenter.main_presenter import MainPresenter
  File "/usr/lib/python3.8/site-packages/gwe/presenter/main_presenter.py", line 50, in <module>
    from gwe.presenter.edit_fan_profile_presenter import EditFanProfilePresenter
  File "/usr/lib/python3.8/site-packages/gwe/presenter/edit_fan_profile_presenter.py", line 26, in <module>
    from gwe.util.view import hide_on_delete
  File "/usr/lib/python3.8/site-packages/gwe/util/view.py", line 20, in <module>
    from matplotlib.axes import Axes
  File "/usr/lib/python3.8/site-packages/matplotlib/axes/__init__.py", line 1, in <module>
    from ._subplots import *
  File "/usr/lib/python3.8/site-packages/matplotlib/axes/_subplots.py", line 6, in <module>
    from matplotlib.axes._axes import Axes
  File "/usr/lib/python3.8/site-packages/matplotlib/axes/_axes.py", line 14, in <module>
    import matplotlib.contour as mcontour
  File "/usr/lib/python3.8/site-packages/matplotlib/contour.py", line 17, in <module>
    import matplotlib.text as text
  File "/usr/lib/python3.8/site-packages/matplotlib/text.py", line 16, in <module>
    from .textpath import TextPath  # Unused, but imported by others.
  File "/usr/lib/python3.8/site-packages/matplotlib/textpath.py", line 11, in <module>
    from matplotlib.mathtext import MathTextParser
  File "/usr/lib/python3.8/site-packages/matplotlib/mathtext.py", line 27, in <module>
    from PIL import Image
ModuleNotFoundError: No module named 'PIL'

No issues on XFCE + BTRFS + linux57
Finally systemd-swap has updated and have all patches for BTRFS Filesystem; short latest version works for me, and I don't have the faild to activate swap file error. And other which happed on BTRFS.
So I can safely delete my backup pkg from Stable repo :smiley:
Now find some more bugs :stuck_out_tongue_winking_eye: :face_with_monocle:

There's an open issue about it. For now, install Pillow as a dependency:

sudo pacman -S --asdeps python-pillow

@schinfo Might want to add it as a dependency of gwe.

1 Like

Thanks for the feed back. Much appreciated. I believe the issue was Nitroshare. Is there a way to confirm if it's a electron app? Thanks again.

i get this warning

No such key “allow-bold” in schema “org.gnome.Terminal.Legacy.Profile” as specified in override file “/usr/share/glib-2.0/schemas/99_manjaro-settings.gschema.override”; ignoring override for this key

it was mentioned in unstable but without further infos.

Fixed with version 0.15.1-2 in unstable

2 Likes

nitroshare AUR package leads to https://nitroshare.net and subsequently to https://github.com/nitroshare/nitroshare-desktop which does look like a C++/Qt project rather than an Electron app.
I'd say that error was not generated by it.

As it's an AUR package - try rebuilding.

1 Like

Pamac tray indicator disappear from Systray KDE. Sorry, it shows after several restart. I wish it could be fine.

After the Plex Media Server update is finished I'll do the reboot that I said I would to see if I get the issue again. If I do or nitro simply doesn't autostart as it should I'll rebuild it. Thanks for the quick reply.

Forum kindly sponsored by